/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - environment.solidify-app.default.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {LanguagePartialEnum} from "../enums/partial/language-partial.enum";
import {DefaultSolidifyAppEnvironment} from "./environment.solidify-app";

export const defaultSolidifyAppEnvironment: DefaultSolidifyAppEnvironment = {
  baseHref: "/",
  appLanguages: [LanguagePartialEnum.en],
  defaultLanguage: LanguagePartialEnum.en,
  appLanguagesTranslate: [],
  appThemes: [],
  appThemesTranslate: [],
  theme: undefined,
  themeName: undefined,
  darkMode: false,
  highlightJsThemeLight: "./assets/highlightjs/light.css",
  highlightJsThemeDark: "./assets/highlightjs/dark.css",
  reloadAfterLogout: false,
  appState: undefined,
  appUserState: undefined,
  routeHomePage: "home",
  routeSegmentEdit: "edit",
  defaultStickyDatatableHeight: 40,
  maintenanceMode: false,
  appTitle: "Build with Solidify",
  appDescription: "Angular app based on Solidify UNIGE Librairy",
  elasticApmEnabled: false,
  elasticApmUrl: undefined,
  elasticApmSendErrorsErrors: true,
  googleAnalyticsId: undefined,
  appearanceInputMaterial: "outline",
  positionLabelInputMaterial: "auto",
  displayEmptyRequiredFieldInError: true,
  listTagsComponentsWhereClickAllowToEnterInEditMode: [],
  ribbonEnabled: true,
  ribbonColor: "#e60000",
  ribbonText: "Dev",
  defaultEnumValuePageSizeOption: 10000,
  pollingMaxIntervalInSecond: 60,
  modalWidth: "90%",
  actionToDoWhenUpdateAvailable: "prompt",
  orcidUrl: "http://orcid.org",
  frontendVersionFile: "frontend-version.json",
  overlayDelayInMs: 500,
  loadBackendModulesInfo: true,
  refreshGlobalBannerIntervalInSecond: 60,
  labelEnumConverter: undefined,
  displayPrivacyPolicyAndTermsOfUseApprovalDialog: false,
  versionPrivacyPolicyAndTermsOfUse: undefined,
  privacyPolicyLink: undefined,
  termsOfUseLink: undefined,
};
