/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - error-dto.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {HttpStatusCode} from "@angular/common/http";
import {MappingObject} from "../../types/mapping-type.type";

export interface ValidationErrorDto {
  errorMessages: string[];
  fieldName: string;
}

export interface ErrorDto {
  error: string;
  message: string;
  path: string;
  status: HttpStatusCode;
  statusCode: number;
  timeStamp: string;
  validationErrors: ValidationErrorDto[];
  errorCode: number;
  additionalParameters: MappingObject<string, string>;
}
