/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - label-translate.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

export interface LabelTranslateInterface {
  aboutInjectedName: string;
  about: string;
  aboutModule: string;
  aboutUrl: string;
  aboutVersion: string;
  aboutCommitDate: string;
  additionalInformation: string;
  accessToken: string;
  all: string;
  alreadyUsed: string;
  appBackToOnline: string;
  appOffline: string;
  backToList: string;
  breadcrumbHome: string;
  cancel: string;
  changelog: string;
  changeTime: string;
  create: string;
  created: string;
  createdBy: string;
  delete: string;
  deleteDialogConfirmDeleteAction: string;
  description: string;
  edit: string;
  exitEditMode: string;
  fileDownloadFail: string;
  fileDownloadForbidden: string;
  fileDownloadStart: string;
  fileDownloadedSuccessfully: string;
  firstLoginClose: string;
  firstLoginContent: string;
  firstLoginNext: string;
  firstLoginTitle: string;
  keywordInputLabel: string;
  languageSelectorSelectLanguage: string;
  maintenanceInProgress: string;
  notificationBackendUnavailable: string;
  notificationUnsavedChanges: string;
  paginatorFirstPage: string;
  paginatorItemPerPage: string;
  paginatorLastPage: string;
  paginatorNextPage: string;
  paginatorOfLabel: string;
  paginatorPreviousPage: string;
  reviews: string;
  save: string;
  serverOffline: string;
  unableToLoadApp: string;
  showHistoryStatus: string;
  status: string;
  statusHistoryDialogTitle: string;
  tokenDialogCopyToClipboard: string;
  tokenDialogTitle: string;
  tokenDialogTokenCopiedToClipboardFail: string;
  tokenDialogTokenCopiedToClipboardSuccess: string;
  tourClose: string;
  updateVersionDialogBody: string;
  updateVersionDialogTitle: string;
  updateVersionDialogUpdateAfter: string;
  updateVersionDialogUpdateNow: string;
  updated: string;
  updatedBy: string;
  yes: string;
  youAreInEditMode: string;
  close: string;
  copyIdToClipboard: string;
  copyToClipboard: string;
  dataTableAllElementSearchedSelected: string;
  dataTableCleanAllFilter: string;
  dataTableClearSelection: string;
  dataTableCurrentPageElementSelected: string;
  dataTableDialogLooseSelectionBody: string;
  dataTableDialogLooseSelectionTitle: string;
  dataTableNotificationOnlyTheMaximalAmountAreSelected: string;
  dataTableNoData: string;
  dataTableSelectAllElement: string;
  lastSelection: string;
  moreOptions: string;
  multiSelectNoDataToSelect: string;
  multiSelectNotificationExtraInfoCopyToClipboard: string;
  multiSelectPlaceholder: string;
  multiSelectDefaultValue: string;
  notificationHttpForbiddenToTranslate: string;
  notificationHttpInternalErrorToTranslate: string;
  notificationHttpInvalidTokenToTranslate: string;
  notificationHttpNotFoundToTranslate: string;
  notificationHttpOfflineToTranslate: string;
  notificationHttpUnauthorizedToTranslate: string;
  notificationHttpBadRequestToTranslate: string;
  notificationIdCopyToClipboard: string;
  notificationCopiedToClipboard: string;
  navigateToReleaseNotes: string;
  navigateToChangelog: string;
  objectNotFound: string;
  orcidAuthenticated: string;
  orcidNotAuthenticated: string;
  refresh: string;
  releaseNotes: string;
  search: string;
  urlInputLabel: string;
  validationErrorInvalidToTranslate: string;
  validationErrorRequiredToTranslate: string;
  yesImSure: string;
  detail: string;
  user: string;
  identification: string;
  clientId: string;
  expiration: string;
  scope: string;
  mostCommonValues: string;
  characters: string;
  separatorCharacterDetected: string;
  theFollowingPastedValue: string;
  includesSeparatorCharacters: string;
  wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator: string;
  space: string;
  lineBreak: string;
  doNotSeparate: string;
  separate: string;
  notificationUploadInProgress: string;
  notificationUploadCancelled: string;
  notificationUploadSuccess: string;
  notificationUploadFail: string;
  notificationUploadErrorDuplicateFileFail: string;
  notificationUploadFileSizeLimitXExceeded: string;
  semicolon: string;
  comma: string;
  underscore: string;
  dash: string;
  notificationPreviewDownloadFail: string;
  notificationPreviewFileNotSupported: string;
  notificationPreviewFileContentTypeNotSupported: string;
  notificationPreviewFileTooBig: string;
  previewDialogTitle: string;
  words: string;
  zoomOut: string;
  zoomVal: string;
  zoomIn: string;
  unaccessibleTab: string;
  visualizationDocxPreviewMessageBanner: string;
  cookieConsentSidebarPersonalizeCookieTitle: string;
  cookieConsentSidebarPersonalizeCookieDescription: string;
  cookieConsentSidebarGoogleAnalyticsTitle: string;
  cookieConsentSidebarGoogleAnalyticsDescription: string;
  cookieConsentDownloadTokenTitle: string;
  cookieConsentDownloadTokenDescription: string;
  ignoreGlobalBannerTitle: string;
  ignoreGlobalBannerDescription: string;
  cookieConsentSidebarPrivacyPolicyAndTermsOfUseAcceptedTitle: string;
  cookieConsentSidebarPrivacyPolicyAndTermsOfUseAcceptedDescription: string;
  cookieConsentSidebarLanguageTitle: string;
  cookieConsentSidebarLanguageDescription: string;
  cookieConsentSidebarDarkModeTitle: string;
  cookieConsentSidebarDarkModeDescription: string;
  cookieConsentSidebarTitle: string;
  cookieConsentSidebarTooltipClose: string;
  cookieConsentSidebarAllowAllCookies: string;
  cookieConsentBannerThisWebsiteUsesCookiesToEnsureYouGetTheBestExperienceOnOurWebsite: string;
  cookieConsentBannerLearnMore: string;
  cookieConsentBannerPersonalize: string;
  cookieConsentBannerDecline: string;
  cookieConsentBannerAllowCookies: string;
  cookieConsentAllowTheCookie: string;
  notificationFeatureDisabledBecauseCookieDeclined: string;
  notificationCookieXEnabled: string;
  notificationCookieNameCopiedToClipboard: string;
  notificationUnableToCopyCookieNameToClipboard: string;
  citationStyles: string;
  citationCopyToClipboard: string;
  noCitationsAreAvailable: string;
  themeSelector: string;
  globalBannerClickForMoreInfo: string;
  maximum: string;
  displayWithFormatting: string;
  displayWithoutFormatting: string;
  richTextEditorToolbarBold: string;
  richTextEditorToolbarItalic: string;
  richTextEditorToolbarUnderline: string;
  richTextEditorToolbarStrike: string;
  richTextEditorToolbarSub: string;
  richTextEditorToolbarSuper: string;
  richTextEditorToolbarLink: string;
  richTextEditorToolbarImage: string;
  richTextEditorToolbarVideo: string;
  richTextEditorToolbarCleanStyle: string;
  privacyPolicyTermsOfUseApprovalDialogTitle: string;
  privacyPolicyTermsOfUseApprovalDialogMessage: string;
  privacyPolicyTermsOfUseApprovalDialogIAcceptPrivacyPolicy: string;
  privacyPolicyTermsOfUseApprovalDialogIAcceptTermsOfUse: string;
  privacyPolicyTermsOfUseApprovalDialogClose: string;
  privacyPolicyTermsOfUseApprovalDialogConfirm: string;
}
