/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - notifier-service.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {SolidifyObject} from "../../types/solidify-object.type";
import {SnackbarAction} from "../snackbar/snack-bar.model";

export interface NotifierService {
  showInformation(message: string, messageParam?: SolidifyObject | undefined, action?: SnackbarAction | undefined, subMessage?: string | undefined, subMessageParam?: SolidifyObject | undefined): void;

  showWarning(message: string, messageParam?: SolidifyObject | undefined, action?: SnackbarAction | undefined, subMessage?: string | undefined, subMessageParam?: SolidifyObject | undefined): void;

  showSuccess(message: string, messageParam?: SolidifyObject | undefined, action?: SnackbarAction | undefined, subMessage?: string | undefined, subMessageParam?: SolidifyObject | undefined): void;

  showError(message: string, messageParam?: SolidifyObject | undefined, action?: SnackbarAction | undefined, subMessage?: string | undefined, subMessageParam?: SolidifyObject | undefined, error?: any | undefined): void;
}
